﻿Imports System.Drawing
Imports Syncfusion.Pdf
Imports Syncfusion.Pdf.Graphics
Imports Syncfusion.Pdf.Security

Class MainWindow
    Private Sub Button_Click(sender As Object, e As RoutedEventArgs)
        'Creates a New PDF document
        Dim document As PdfDocument = New PdfDocument()

        'Adds a New page
        Dim page As PdfPageBase = document.Pages.Add()
        Dim graphics As PdfGraphics = page.Graphics

        'Creates a certificate instance from PFX file with the private key
        Dim pdfCert As PdfCertificate = New PdfCertificate("../../Data/PDF.pfx", "syncfusion")

        'Creates a digital signature
        Dim signature As PdfSignature = New PdfSignature(document, page, pdfCert, "Signature")
        'Sets an image for signature
        Dim signatureImage As PdfBitmap = New PdfBitmap("../../Data/reports.jpg")

        Dim imageSize As SizeF = New SizeF(signatureImage.PhysicalDimension)
        Dim Sig_pos As PointF = New PointF(0, 0)
        Dim totalSize As SizeF = New SizeF(signatureImage.PhysicalDimension.Width + 200, signatureImage.PhysicalDimension.Height)
        signature.Bounds = New RectangleF(Sig_pos, totalSize)
        signature.ContactInfo = "johndoe@owned.us"
        signature.LocationInfo = "Honolulu, Hawaii"
        signature.Reason = "I am author of this document."

        'Create appearance for the digital signature
        signature.Appearance.Normal.Graphics.DrawImage(signatureImage, New PointF(0, 0), imageSize)
        signature.Appearance.Normal.Graphics.DrawString("johndoe@owned.us", New PdfStandardFont(PdfFontFamily.Helvetica, 12), PdfBrushes.Black, New PointF(200, 0))

        'Save the document
        document.Save("DigitalSignature.pdf")
        'Close the document
        document.Close(True)

        'This will open the PDF file so, the result will be seen in default PDF viewer
        Process.Start("DigitalSignature.pdf")
    End Sub
End Class
